{%- if paginator.posts.size > 0 -%}
  <!--<h3 class="post-list-heading">{{ page.list_title | default: "Posts" }}</h3>-->
  <ul class="post-list">
    {%- for post in paginator.posts -%}
    <li>
      {%- assign date_format = site.date_format | default: "%-d. %-m. %Y" -%}
      <h4>
        <a href="{{ post.url | relative_url }}" class="post-link">
          {{ post.title | escape }}
        </a>
      </h4>
      <p class="post-meta">Vyšlo {{ post.date | date: date_format }} – Napsal {{ post.author }}</p>
      {%- if site.show_excerpts -%}
        {{ post.excerpt }}
      {%- endif -%}
      {%- if post.image -%}
        <figure class="post-image">
          <a href="{{ post.url | relative_url }}">
            <img src="{{ post.image | prepend: '/images/posts/' | relative_url }}" alt="{{ post.image-alt }}">
          </a>
        </figure>
      {%- endif -%}
      <p class="post-more"><a href="{{ post.url | relative_url }}">Pokračovat ve čtení zápisku →</a></p>
    </li>
    {%- endfor -%}
  </ul>
{%- endif -%}

{% if paginator.total_pages > 1 %}
<aside class="pagination">
  {% if paginator.previous_page %}
    <a href="{{ paginator.previous_page_path | relative_url }}">&laquo; Novější zápisky</a>
  {% else %}
    <span>&laquo; Novější zápisky</span>
  {% endif %}

  [{% for page in (1..paginator.total_pages) %}
    {% if page == paginator.page %}
      <em>{{ page }}</em>
    {% elsif page == 1 %}
      <a href="{{ "/" | relative_url }}">{{ page }}</a>
    {% else %}
      <a href="/{{ site.paginate_path | relative_url | replace: ":num", page }}">{{ page }}</a>
    {% endif %}
    {% if page < paginator.total_pages %}·{% endif %}
  {% endfor %}]

  {% if paginator.next_page %}
    <a href="{{ paginator.next_page_path | relative_url }}">Starší zápisky &raquo;</a>
  {% else %}
    <span>Starší zápisky &raquo;</span>
  {% endif %}
</aside>
{% endif %}
